# Class ProcPatt

Class ProcPatt

special type of structural Asset representing information how to build some part of the render engine's processing nodes network.

Declaration :

- C++ : class ProcPatt : public Struct

Artifact : procpatt

Relation instructions (<directional composition>)

Declaration :

- Uml : # instructions : BuildInstruct, multiplicity : 1..*
- C++ : protected: const vector<BuildInstruct> instructions

Stereotype: vector

All public operations : enable , getDependant , getParents , isActive